import { TipoUbicacion } from '../../tipo-ubicacion/tipo-ubicacion.entity';
import { NivelAmoblado } from '../../nivel-amoblado/nivel-amoblado.entity';
import { TipoInmueble } from '../../tipo-inmueble/tipo-inmueble.entity';
import { EstadoInmueble } from '../../estado-inmueble/estado-inmueble.entity';
import { TipoOperacion } from '../../tipo-operacion/tipo-operacion.entity';
import { User } from '../../users/user.entity';
import { Vista } from '../../vista/vista.entity';
import { EstadoProyecto } from '../../estado-proyecto/estado-proyecto.entity';
import { TipoVivienda } from '../../tipo-vivienda/tipo-vivienda.entity';
import { Galeria } from '../../galeria/galeria.entity';
import { InmuebleAreasSociales } from '../../inmueble-areas-sociales/inmueble-areas-sociales.entity';
import { InmuebleEstados } from '../../inmueble-estados/inmueble-estados.entity';
import { InmuebleVistas } from '../../inmueble-vistas/inmueble-vistas.entity';
export declare class CreateInmuebleWebDto {
    bathroom: number;
    dormitorios: number;
    cocheras: number;
    ambientes: number;
    mascotas: string;
    cuarto_servicio: string;
    balcon: string;
    terraza: string;
    ascensor: string;
    condominio: string;
    deposito: string;
    area: number;
    area_techada: number;
    precio: string;
    precio_mantenimiento: string;
    precio_dolares: string;
    precio_cambio: string;
    precio_mantenimiento_cambio: string;
    piso: number;
    descripcion: string;
    direccion: string;
    latitud: string;
    longitud: string;
    zoom: string;
    antiguedad: number;
    estreno: string;
    titulo: string;
    vista_id: number;
    tipo_vivienda_id: number;
    estado_proyecto_id: number;
    tipo_operacion_id: number;
    tipo_inmueble_id: number;
    nivel_amoblado_id: number;
    distrito_id: number;
    user_id: number;
    tipo_ubicacion_id: number;
    estado_inmueble_id: number;
    tipo_moneda_id: number;
    estado_id: number;
    antiguedadMax: number;
    antiguedadMin: number;
    areaTechadaMax: number;
    areaTechadaMin: number;
    areaTotalMax: number;
    areaTotalMin: number;
    fecha_fin: number;
    fecha_ini: number;
    precioMax: number;
    precioMin: number;
    id: number;
    nivelAmoblado: NivelAmoblado;
    tipoInmueble: TipoInmueble;
    estadoInmueble: EstadoInmueble;
    tipoOperacion: TipoOperacion;
    tipoUbicacion: TipoUbicacion | null;
    updated_at: Date;
    user: User;
    vista: Vista;
    estadoProyecto: EstadoProyecto;
    tipoVivienda: TipoVivienda;
    galeria: Galeria[];
    areaSocial: InmuebleAreasSociales[];
    inmuebleAreasSociales: InmuebleAreasSociales[];
    inmuebleEstados: InmuebleEstados[];
    inmuebleVistas: InmuebleVistas[];
    areas_sociales: string;
    departamento_id: number;
    estadosProyecto: InmuebleEstados[];
    provincia_id: number;
    proyecto: string;
    tipo_vista_id: number;
    latittud: string;
    tipo_ubicacion: string;
}
